Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454293 - tbb: ldconfig complaints about non-symlinks
Summary: tbb: ldconfig complaints about non-symlinks
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tbb
Version: 9
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Petr Machata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 15:08 UTC by Jerry James
Modified: 2015-05-05 01:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 18:16:22 UTC


Attachments (Terms of Use)

Description Jerry James 2008-07-07 15:08:25 UTC
Description of problem:
After upgrading to tbb-2.1-1.20080605.fc9, *any* use of ldconfig causes it to
issue these warnings:

/sbin/ldconfig: /usr/lib64/libtbbmalloc.so.2 is not a symbolic link

/sbin/ldconfig: /usr/lib64/libtbb.so.2 is not a symbolic link

Those two files should actually be symbolic links to
%{_libdir}/libtbb[malloc].so.2.1, which should be the real files.

Version-Release number of selected component (if applicable):
tbb-2.1-1.20080605.fc9

How reproducible:
Always

Steps to Reproduce:
1. Install or upgrade to tbb-2.1-1.20080605.fc9
2. Run ldconfig
  
Actual results:
ldconfig issues the warnings above.

Expected results:
No warnings.

Additional info:

Comment 1 Petr Machata 2008-07-07 16:14:21 UTC
Strange.  Here's what I see (edited to fit to width):

# ls -l /usr/lib/libtbb*
1 root root    17 2008-07-07 18:08 /usr/lib/libtbbmalloc.so -> libtbbmalloc.so.2
1 root root 14508 2008-06-13 15:09 /usr/lib/libtbbmalloc.so.2
1 root root    11 2008-07-07 18:08 /usr/lib/libtbb.so -> libtbb.so.2
1 root root 97416 2008-06-13 15:09 /usr/lib/libtbb.so.2

I downloaded the devel x8664 package from koji and extracted it:

$ ls -l usr/lib64/libtbb*
1 ant ant 17 2008-07-07 18:07 usr/lib64/libtbbmalloc.so -> libtbbmalloc.so.2
1 ant ant 11 2008-07-07 18:07 usr/lib64/libtbb.so -> libtbb.so.2

So that puzzles me a bit... what does rpm -V say?  Does reinstalling make the
problem go away?

Comment 2 Petr Machata 2008-07-07 16:18:27 UTC
Oh, I'm rereading your report... there /is/ no libtbb.so.2.1.  There's just
libtbb.so.2.  There was no binary incompatibility since 2.0, so the soname can
stay the same.

Regardless of that, I can't reproduce your problem.  ldconfig is quiet.

Comment 3 Bug Zapper 2009-06-10 01:58:10 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 18:16:22 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.